--Sounds from http://xufox.bplaced.net/GronkhSoundboard/

do

local function run(msg, matches)
  local receiver = get_receiver(msg)
  local url = "http://code.ponywave.de/workspace/mikubot/gronkhsounds/"..matches[1]..".mp3"
  local file = download_to_file(url)
  local cb_extra = {file_path=file}
  
  if string.match(msg.text, "[Ll][Ii][Ss][Tt][Ee]") then
  return "Hier eine Liste aller Sounds: PonyWave.de/a/gronkhsounds"
  
  elseif string.match(msg.text, "[Rr][Aa][Nn][Dd][Oo][Mm]") then
  return "Kommt noch!"
  
  end
  
  if not file then
  return "Nichts gefunden!\nSicher, dass "..matches[1].." existiert?"
  else
    print('Sende Sound')
    send_audio(receiver, file, rmtmp_cb, cb_extra)
  end
  
end

return {
    description = "Gronkh Soundboard", 
    usage = {"#gronkh [Sound]: Sendet ein Sound",
                 "#gronkh liste: Zeigt alle verfügbare Sounds",
                 "#gronkh random: Sendet ein zufälligen Sound (Kommt noch)"},
    patterns = {
    	"^#[Gg][Rr][Oo][Nn][Kk][Hh] (.*)$"
    }, 
    run = run 
}

end
--by Akamaru [https://ponywave.de]